/***********************************************************************************
Projekt:	Wetterstation

Autoren:	Benjamin Drner 	MM5 165941
	     	Jrgen Hasselbach	MM5 165944

Datum:		28.01.08

***********************************************************************************/
#ifndef F_CPU
#define F_CPU 18432000UL //Quarz-Frequency
#endif


//#include <intrins.h> 		//Keil library (is used for _nop()_ operation)
#include <avr/io.h> 		//header-file for I/O configurations
#include <math.h> 			//Keil library
#include <stdio.h> 			//Keil library
#include <avr/interrupt.h> 	//header-file for global interrupt activation
#include <stdint.h> 		//header-file zur Definition der Zahlentypen (int,char, unsigned, char usw.)
#include <stdbool.h> 		//header-Datei zur Definition der 1-Bit-Variablenbool
#include <util\delay.h> 	//header-Datei zur Definition frWarteschleifen/zeiten
#include <float.h>




//KONSTANTEN
#define PRESCALER_TICK_10MS 90 //Prescaler tick for 10ms
//konstanten fr ####sht11####
enum {TEMP,HUMI};
#define DATA  PA2
#define SCK   PA3
#define noACK 0
#define ACK   1

void DisplayNumber(unsigned int number, unsigned char row, unsigned char col, unsigned char length);


//adr command r/w
#define STATUS_REG_W 0x06 		//000 0011 0
#define STATUS_REG_R 0x07 		//000 0011 1
#define MEASURE_TEMP 0x03 		//000 0001 1
#define MEASURE_HUMI 0x05 		//000 0010 1
#define RESET 0x1e 				//000 1111 0

//inline
#define NOP __asm volatile ("nop")


// SHT11 ROUTINE
char  s_write_byte(unsigned char value);
char  s_read_byte(unsigned char ack);
void  s_transstart(void);
void  s_connectionreset(void);
char  s_softreset(void);
char  s_read_statusreg(unsigned char *p_value, unsigned char *p_checksum);
char  s_write_statusreg(unsigned char *p_value);
char  s_measure(unsigned char *p_value, unsigned char *p_checksum, unsigned char mode);
void  calc_sth11(float *p_humidity ,float *p_temperature);
float calc_dewpoint(float h,float t);

