/***********************************************************************************
Projekt:	Wetterstation

Autoren:	Benjamin Drner 	MM5 165941
	     	Jrgen Hasselbach	MM5 165944

Datum:		28.01.08

***********************************************************************************/
#ifndef F_CPU
#define F_CPU 18432000UL //Quarz-Frequency
#endif

#ifndef DEF_TIMER_H
 #define DEF_TIMER_H

#include <avr/io.h> 		//header-file for I/O configurations
#include <avr/interrupt.h> 	//header-file for global interrupt activation
#include <stdint.h> 		//header-file zur Definition der Zahlentypen (int,char, unsigned, char usw.)
#include <util\delay.h> 	//header-Datei zur Definition frWarteschleifen/zeiten
#include <stdbool.h> 		//header-Datei zur Definition der 1-Bit-Variablenbool

//KONSTANTEN
#define PRESCALER_TICK_10MS 90 //Prescaler tick for 10ms

//inline
#define NOP asm volatile ("nop") // assembler inline fr nop

//VARIABLEN
extern unsigned char prescaler10ms;
extern bool b_tick10ms;				// flag for 10ms tick


//Timer 0 initialisation in normal mode

void InitTimer0(void);

#endif // DEF_TIMER_H
